Bug 239363 - devel/py-robotframework-pabot: Update to 0.86
Summary: devel/py-robotframework-pabot: Update to 0.86
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-21 09:49 UTC by vladimir.chukharev
Modified: 2019-09-02 10:22 UTC (History)
2 users (show)

See Also:
dbaio: maintainer-feedback? (vladimir.chukharev)


Attachments
Patch (1.02 KB, patch)
2019-07-21 09:49 UTC, vladimir.chukharev
vladimir.chukharev: maintainer-approval+
Details | Diff
New patch (1.02 KB, patch)
2019-07-28 17:32 UTC, vladimir.chukharev
vladimir.chukharev: maintainer-approval+
Details | Diff
Patch 0.72 to 0.86 (1.02 KB, patch)
2019-09-02 07:00 UTC, vladimir.chukharev
vladimir.chukharev: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description vladimir.chukharev 2019-07-21 09:49:28 UTC
Created attachment 205964 [details]
Patch

Update devel/py-robotframework-pabot from 0.72 to 0.77.

QA:
portlint -Ca : OK
port test    : OK
DEVELOPER=yes poudriere testport -j 120Ramd64 -o devel/py-robotframework-pabot : OK
Comment 1 vladimir.chukharev 2019-07-28 17:32:51 UTC
Created attachment 206126 [details]
New patch

Developer meanwhile fixed a number of unicode issues, IMHO quite important. Sorry for being somewhat impatient!
Comment 2 Danilo G. Baio freebsd_committer 2019-09-01 23:16:20 UTC
(In reply to vladimir.chukharev from comment #1)

Hi.
There is already version 0.86 upstream, could you test it?
If this version is fine, I can commit this for you asap.
Comment 3 vladimir.chukharev 2019-09-02 07:00:45 UTC
Created attachment 207086 [details]
Patch 0.72 to 0.86

Some tests are added upstream, but those are not yet included in the distfile. I gonna remind them and add the test target when ready.
Comment 4 commit-hook freebsd_committer 2019-09-02 10:21:07 UTC
A commit references this bug:

Author: dbaio
Date: Mon Sep  2 10:20:12 UTC 2019
New revision: 510776
URL: https://svnweb.freebsd.org/changeset/ports/510776

Log:
  devel/py-robotframework-pabot: update to 0.86

  PR:		239363
  Submitted by:	vladimir.chukharev@gmail.com (maintainer)

Changes:
  head/devel/py-robotframework-pabot/Makefile
  head/devel/py-robotframework-pabot/distinfo
Comment 5 Danilo G. Baio freebsd_committer 2019-09-02 10:22:57 UTC
Committed, thanks!

And sorry for the delay.